MediaWiki:Mobile.css:修订间差异

imported>=海豚=
无编辑摘要
imported>=海豚=
无编辑摘要
第18行: 第18行:
transition: opacity 300ms;
transition: opacity 300ms;
}
}
/* 在页面标题后增加复制URL按钮 */
/* 导航菜单样式 */
body:not(.ns--1) h1#section_0 {
nav ul li a {
  pointer-events: none;
    box-shadow: inset 0 0 0 #F4C430;
   cursor: text;
    transition: all 0.1s ease-in !important;
}
nav ul li a:hover {
    box-shadow: inset 7px 0 0 #F4C430;
}
nav .mw-parser-output ul li a {
    font-weight: bold;
    line-height: 1.857;
}
nav .mw-parser-output ul li a > i {
    margin-right: 0.76em;
    font-size: 1.4em;
    vertical-align: middle;
    width: 24px;
    text-align: center;
}
/* 隐藏登录后的首页欢迎语 */
body.page-Main_Page.is-authenticated .pre-content {
   display: none !important;
}
}
/* 黑幕 */
/* 黑幕 */
第41行: 第59行:
     color: #BA0000 !important;
     color: #BA0000 !important;
}
}
/* 导航菜单样式 */
/* 目录样式 */
nav ul li a {
.client-js .toc-mobile {
     box-shadow: inset 0 0 0 #F4C430;
     background-color: #F5F5F5 !important;
     transition: all 0.1s ease-in !important;
     border: solid 0px transparent !important;
    border-left: 4px solid #f4c430 !important;
}
/* 页顶提示模板相关 */
#commonBoxInfo {
    color: #f00;
    font-weight: bold;
    text-align: center;
}
#commonBoxList > .commonBoxButton {
    display: inline-block;
    border-bottom: 3px solid #000;
    width: 40px;
    height: 40px;
    background: #fff 50% 50% no-repeat;
    background-size: contain;
    cursor: pointer;
    transition: opacity .5s;
}
#commonBoxList.open > .commonBoxButton {
    opacity: .1;
}
#commonBoxList.open > .commonBoxButton.current {
    opacity: 1;
}
}
nav ul li a:hover {
/* infoBox */
     box-shadow: inset 7px 0 0 #F4C430;
.infoBox {
     margin: 0 auto;
    clear: both;
}
}
nav .mw-parser-output ul li a {
.infoBoxTitle {
    margin: 3px auto;
    padding: 0;
    text-align: center;
     font-weight: bold;
     font-weight: bold;
    line-height: 1.857;
}
}
nav .mw-parser-output ul li a > i {
.infoBoxIcon {
     margin-right: 0.76em;
    display: table-cell;
     font-size: 1.4em;
    padding: 2px 0 2px 0.5em;
    vertical-align: middle;
}
@media screen and (min-width: 640px) {
    .content .infoBoxIcon a > img {
        max-width: none!important;
    }
}
.infoBoxText {
     display: table-cell;
    padding: 0.25em 0.5em 0.25em 1.3em;
     width: 100%;
     vertical-align: middle;
     vertical-align: middle;
     width: 24px;
}
.infoBoxContent {
     border: 1px solid #ddd;
    border-left-width: 0;
    background: #fbfbfb;
}
.infoBoxBelow {
    margin: 0 auto;
    padding: 0;
     text-align: center;
     text-align: center;
}
}
第73行: 第137行:
.minerva-footer {
.minerva-footer {
     background-image: linear-gradient(-45deg,#f4c430 10px,transparent 11px);
     background-image: linear-gradient(-45deg,#f4c430 10px,transparent 11px);
}
/* 隐藏登录后的首页欢迎语 */
body.page-Main_Page.is-authenticated .pre-content {
  display: none !important;
}
}
/* 隐藏移动端页面底部的讨论按钮 */
/* 隐藏移动端页面底部的讨论按钮 */
第137行: 第197行:
     text-decoration: none;
     text-decoration: none;
}
}
/* 目录样式 */
 
.client-js .toc-mobile {
    background-color: #F5F5F5 !important;
    border: solid 0px transparent !important;
    border-left: 4px solid #f4c430 !important;
}
/* 注释文字 */
/* 注释文字 */
sup.mobileref {
sup.mobileref {
第150行: 第205行:
     content: " (" attr(title) ")";
     content: " (" attr(title) ")";
     display: inline;
     display: inline;
}
/* 页顶提示模板相关 */
#commonBoxInfo {
    color: #f00;
    font-weight: bold;
    text-align: center;
}
#commonBoxList > .commonBoxButton {
    display: inline-block;
    border-bottom: 3px solid #000;
    width: 40px;
    height: 40px;
    background: #fff 50% 50% no-repeat;
    background-size: contain;
    cursor: pointer;
    transition: opacity .5s;
}
#commonBoxList.open > .commonBoxButton {
    opacity: .1;
}
#commonBoxList.open > .commonBoxButton.current {
    opacity: 1;
}
/* infoBox */
.infoBox {
    margin: 0 auto;
    clear: both;
}
.infoBoxTitle {
    margin: 3px auto;
    padding: 0;
    text-align: center;
    font-weight: bold;
}
.infoBoxIcon {
    display: table-cell;
    padding: 2px 0 2px 0.5em;
    vertical-align: middle;
}
@media screen and (min-width: 640px) {
    .content .infoBoxIcon a > img {
        max-width: none!important;
    }
}
.infoBoxText {
    display: table-cell;
    padding: 0.25em 0.5em 0.25em 1.3em;
    width: 100%;
    vertical-align: middle;
}
.infoBoxContent {
    border: 1px solid #ddd;
    border-left-width: 0;
    background: #fbfbfb;
}
.infoBoxBelow {
    margin: 0 auto;
    padding: 0;
    text-align: center;
}
}
/* code 内边距修复 */
/* code 内边距修复 */